 # デフォルト値付きの引数を呼び出し側でキーワード引数として使用したい場合
>>> def sample_func(param1, *args, default_arg=0, **kwargs):
...     print(f'{param1=}')
...     print(f'{args=}')
...     print(f'{default_arg=}')
...     print(f'{kwargs=}')
...
>>> sample_func(1, 2, 3, default_arg=100, keyword1='keyword1', keyword2='keyword2')
param1=1
args=(2, 3)
default_arg=100
kwargs={'keyword1': 'keyword1', 'keyword2': 'keyword2'}
