>>> def sample_func(param1, *, keyword1):
...     print(f'{param1}, {keyword1}')
...
>>> sample_func(1, keyword1=False)
1, False
>>> sample_func(1, False)  # キーワード引数として渡していないのでエラーになる
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
TypeError: sample_func() takes 1 positional argument but 2 were given
