>>> def add(x, y, /):  # 「/」の前のx、yは位置引数として呼び出さなくてはならない
...     return x + y
...
>>> add(1, 2)
3
>>> add(x=1, y=2)  # キーワード引数として呼び出すとエラー
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
TypeError: add() got some positional-only arguments passed as keyword arguments: 'x, y'
