>>> tp = (0, 1, 2, 3, 4)
>>> a, b, *c = tp
>>> print(f'{a}, {b}, {c}')
0, 1, [2, 3, 4]  # 1つ目と2つ目の要素はそれぞれa、bに代入され、残りの要素がリストとしてcに代入される
>>> a, *b, c = tp
>>> print(f'{a}, {b}, {c}')
0, [1, 2, 3], 4
>>> *a, b, c = tp
>>> print(f'{a}, {b}, {c}')
[0, 1, 2], 3, 4
>>> *a, *b, c = tp  # *を2つ以上の変数に付けるとエラーになる
SyntaxError: two starred expressions in assignment
