 >>> def multiplier(values):
 ...     for i in values:
 ...         yield 2 ** i  # yield文を使って結果を返す
 ...
 >>> values = [0, 1, 2, 3, 4, 5]
 >>> ret = multiplier(values)
 >>> type(ret)  # ジェネレーターオブジェクトが返される
 <class 'generator'>
 # 結果の確認
 >>> for i in ret:  # for i in multiplier(values): と同じ
 ...     print(i)
 ...
 1
 2
 4
 8
 16
 32
