>>> def multiplier():  # 引数がなく無限に繰り返されるジェネレーター
...     num = 1
...     while True:
...         yield num  # 結果を返して一時停止
...         num *= 2  # 次の呼び出しで実行される
...
>>> gen = multiplier()  # 最初の呼び出し
>>> gen  # ジェネレーターオブジェクトが返される（値は保持していない）
<generator object multiplier at 0x7fcea09dac80>
>>> next(gen)  # 値を取得
1
>>> next(gen)
2
>>> next(gen)
4
>>> next(gen)
8
