>>> from class_sample import User
>>> user1 = User("寺田学", 35, "東京都台東区")  # インスタンス化
>>> type(user1)
<class 'class_sample.User'>
>>> print(user1.name)  # Userクラスのインスタンスuser1のnameを呼び出す
寺田学
>>> user1.age  # user1のageを呼び出す
35
>>> user1.increment_age()  # user1のincrement_age()メソッドを実行
>>> user1.age  # ageが1つ増える
36
>>> user1.increment_age()  # 再度increment_age()メソッドを実行
>>> user1.age  # さらにageが1つ増える
37
>>> user1.start_name()  # start_name()メソッドでnameの1文字目を取得
'寺'
>>> user2 = User("鈴木たかのり", 30, "東京都渋谷区")  # 新たにインスタンスを作る
>>> user2.start_name()  # user2のnameの1文字目を取得
'鈴'
>>> user1.start_name()  # user1のnameの1文字目が変わっていないことを確認
'寺'
