from operator import attrgetter

def books_a_bargain(book_list: list[Book]) -> Book:  # Bookオブジェクトのリストを受け取り、Bookオブジェクトを返す
    """priceでソートして一番安い本を返す"""
    return sorted(book_list, key=attrgetter("price"))[0]

py_books = [
    Book("ハッカーガイド", "terapyon", 2992),
    Book("ゼロから", "takanori", 3200),
    Book("スタートブック", "shingo", 2750),
]
value_book: Book = books_a_bargain(py_books)  # value_bookをBookクラスで型付け
