>>> 'python'.find('th')
2
>>> 'python'.find('TH')
-1
>>> words = '''Beautiful is better than ugly.
... Explicit is better than implicit.'''.split()
>>> words
['Beautiful', 'is', 'better', 'than', 'ugly.', 'Explicit', 'is', 'better', 'than', 'implicit.']
>>> '-'.join(words[:5])  # リストを - でつなぐ
'Beautiful-is-better-than-ugly.'
>>> 'python'.startswith('py')
True
>>> image_suffix = ('jpg', 'png', 'gif')  # 画像ファイルの拡張子のタプルを定義
>>> 'image.png'.endswith(image_suffix)
True
>>> 'text.txt'.endswith(image_suffix)
False
>>> text = 'I like '
>>> text.encode('ascii')  # asciiには存在しない絵文字を含んだ文字列を変換するとUnicodeEncodeErrorを送出
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
UnicodeEncodeError: 'ascii' codec can't encode character '\U0001f363' in position 7: ordinal not in range(128)
>>> text.encode('ascii', 'ignore')  # 絵文字を無視
b'I like '
>>> text.encode('ascii', 'replace')  # 絵文字を ? に変換
b'I like ?'
