>>> import re
>>> regex = re.compile('[a-n]+')  # a-nの範囲の英小文字にマッチする正規表現オブジェクト
>>> type(regex)
<class 're.Pattern'>
>>> regex.search('python')  # hの文字にマッチ
<re.Match object; span=(3, 4), match='h'>
>>> regex.match('python')  # 先頭がマッチしないのでNoneを返す
>>> regex.fullmatch('eggs')  # 文字列全体とマッチするか
>>> regex.fullmatch('egg')
<re.Match object; span=(0, 3), match='egg'>
