>>> import unicodedata
>>> unicodedata.lookup('Latin Small Letter a')  # 半角小文字のaを取得
'a'
>>> unicodedata.lookup('BEER MUG')  # ビールジョッキの絵文字を取得
''
>>> unicodedata.lookup('UNKNOWN CHARACTER')  # 存在しない名前を指定
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
KeyError: "undefined character name 'UNKNOWN CHARACTER'"
>>> for chr in ('A', 'Ａ', '1', 'い', 'ｶ', '㌧', '', ''):  # いろいろな文字の名前を取得
...     unicodedata.name(chr)
...
'LATIN CAPITAL LETTER A'
'FULLWIDTH LATIN CAPITAL LETTER A'
'DIGIT ONE'
'HIRAGANA LETTER I'
'HALFWIDTH KATAKANA LETTER KA'
'SQUARE TON'
'SNOWMAN'
'SUSHI'
