>>> from decimal import *
>>> exp = Decimal('0.1')  # 小数点第1位
>>> Decimal('1.06').quantize(exp, ROUND_HALF_DOWN)  # 五捨六入
Decimal('1.1')
>>> Decimal('1.15').quantize(exp, ROUND_HALF_EVEN)  # 上位1桁が奇数の場合、四捨五入
Decimal('1.2')
>>> Decimal('1.25').quantize(exp, ROUND_HALF_EVEN)  # 上位1桁が偶数の場合、五捨六入
Decimal('1.2')
>>> Decimal('1.26').quantize(exp, ROUND_HALF_EVEN)
Decimal('1.3')
>>> Decimal('1.55').quantize(exp, ROUND_05UP)  # 上位1桁が0または5の場合、ROUND_UP
Decimal('1.6')
>>> Decimal('1.75').quantize(exp, ROUND_05UP)  # 上位1桁が0でも5でもない場合、ROUND_DOWN
Decimal('1.7')
