>>> import asyncio
>>> import time
>>> async def test():
...     print('I love')
...     time.sleep(5)
...     print('BEER!')
...
>>> async def main():
...     await asyncio.gather(test(), test())  # 現在のスレッドでtest()を2つ同時に実行する
...
>>> asyncio.run(main())  # 1つのtest()の実行が終わってからもう1つのtest()が実行される
I love
BEER!
I love
BEER!
