>>> from operator import itemgetter
>>> data = [(1, 40, 200), (3, 10, 100), (2, 20, 300), (1, 30, 300)]  # 3要素のタプルが4組
>>> sorted(data)  # keyを指定しないでソート
[(1, 30, 300), (1, 40, 200), (2, 20, 300), (3, 10, 100)]  # インデックス0から順に比較し同じなら次のインデックスで比較
>>> sorted(data, key=itemgetter(2))  # インデックス2でソートし、それ以外はもとの順番を保つ
[(3, 10, 100), (1, 40, 200), (2, 20, 300), (1, 30, 300)]
>>> sorted(data, key=itemgetter(2, 0))  # インデックス2でソートし同じ場合は0でソート
[(3, 10, 100), (1, 40, 200), (1, 30, 300), (2, 20, 300)]
