>>> from collections import Counter
>>> c = Counter('supercalifragilisticexpialidocious')  # 文字列を渡す
>>> c  # 中身を確認すると各文字の出現数がわかる
Counter({'i': 7, 's': 3, 'c': 3, 'a': 3, 'l': 3, 'u': 2, 'p': 2, 'e': 2, 'r': 2, 'o': 2, 'f': 1, 'g': 1, 't': 1, 'x': 1, 'd': 1})
>>> li = ['spam'] * 100 + ['ham'] * 90 + ['egg'] * 110  # 長さ300のリストを生成
>>> len(li)
300
>>> import random
>>> random.shuffle(li)  # 順番をランダムにする
>>> Counter(li)  # リストを渡すと正しくカウントされている
Counter({'egg': 110, 'spam': 100, 'ham': 90})
