>>> from collections import Counter
>>> c1 = Counter(a=2, b=1)
>>> c2 = Counter(a=1, b=3)
>>> c1 + c2  # 値同士が加算される
Counter({'b': 4, 'a': 3})
>>> c1 - c2  # 減算されるが、bは0以下のため出力されない
Counter({'a': 1})
>>> c1 & c2  # 積集合では最小値を返す
Counter({'a': 1, 'b': 1})
>>> c1 | c2  # 和集合では最大値を返す
Counter({'b': 3, 'a': 2})
