>>> from collections import defaultdict
>>> dd_int = defaultdict(int)   # デフォルト値は0
>>> dd_int['spam']  # デフォルト値を確認
0
>>> dd_int['spam'] += 1  # 累算代入も使える
>>> dd_int['spam']
1
>>> dd_list = defaultdict(list)  # デフォルト値は空のリスト
>>> dd_list['spam']  # デフォルト値を確認
[]
>>> dd_list['spam'].append('ham')
>>> dd_list['spam'].append('egg')
>>> dd_list['spam']
['ham', 'egg']
