>>> from collections import namedtuple
>>> Pet = namedtuple('Pet', 'animal, name, age')  # Pet型を作成
>>> seven = Pet('ferret', 'せぶん', 3)  # Pet型のインスタンスを作成
>>> seven  # 「名前=値」の形式で確認できる
Pet(animal='ferret', name='せぶん', age=3)
>>> michiko = Pet('cat', 'ミチコ', 1)  # 別のインスタンスを作成
>>> michiko
Pet(animal='cat', name='ミチコ', age=1)
>>> seven.age  # 属性名で値を取得
3
>>> seven[1]  # インデックスでもアクセスできる
'せぶん'
>>> animal, name, age = michiko  # アンパック代入も可能
>>> animal
'cat'
