>>> import timeit
>>> timeit.timeit("bisect.bisect(long_list, 90_000_000)",
...               setup="import bisect;long_list = list(range(100_000_000))",
...               number=10)
1.9439998141024262e-05
>>> s = """\
... for i in range(len(long_list)):
...     if long_list[i] > 90_000_000:
...        i
...        break
... """  # for文で実行するコード
>>> timeit.timeit(s, setup="long_list = list(range(100_000_000))", number=10)
41.99077482800203
>>> 41.99077482800203 / 1.9439998141024262e-05  # パフォーマンスの差を確認
2160019.487830548
