>>> import itertools
>>> sorted_text = ''.join(sorted('aaabbcdddaabb'))  # 文字単位でソートする
>>> sorted_text
'aaaaabbbbcddd'
>>> for value, group in itertools.groupby(sorted_text):
...     print(f'{value}: {list(group)}')
...
a: ['a', 'a', 'a', 'a', 'a']
b: ['b', 'b', 'b', 'b']
c: ['c']
d: ['d', 'd', 'd']
