>>> import itertools
>>> list(itertools.product('ABC', [1, 2, 3]))
[('A', 1), ('A', 2), ('A', 3), ('B', 1), ('B', 2), ('B', 3), ('C', 1), ('C', 2), ('C', 3)]
>>> [r[0] + r[1] for r in itertools.product('ABC', repeat=2)]  # 組み合わせを文字列にしてリストにする
['AA', 'AB', 'AC', 'BA', 'BB', 'BC', 'CA', 'CB', 'CC']
>>> results = []
>>> for i in 'ABC':  # productと同様のfor文
...     for j in 'ABC':
...         results.append(i + j)
...
