>>> import copy
>>> values = [[0, 1], [2, 3], [4, 5]]  # もとのオブジェクトが2つの階層を持つ
>>> val_cp = copy.deepcopy(values)
>>> val_cp[1][0] = 8  # 子オブジェクト（2階層目）の値を変更する
>>> val_cp
[[0, 1], [8, 3], [4, 5]]  # コピー先オブジェクトが変更されている
>>> values
[[0, 1], [2, 3], [4, 5]]  # コピー元のオブジェクトは変更されていない
