>>> import copy
>>> authors = ['ryu22e', 'sugita', 'fukuda']  # ループに使用するリストオブジェクト
>>> attrib = {'attribute': 'author'}  # コピーする辞書オブジェクト
>>> book_authors = []  # データ追加用のリストオブジェクト
>>> for name in authors:
...     cp_attrib = copy.copy(attrib)
...     cp_attrib['name'] = name
...     book_authors.append(cp_attrib)
...
>>> book_authors
[{'attribute': 'author', 'name': 'ryu22e'}, {'attribute': 'author', 'name': 'sugita'}, {'attribute': 'author', 'name': 'fukuda'}]
