import io
from unittest.mock import patch

def print_hoge():
    print('hoge')  # print()はsys.stdout.write()と同等

@patch('sys.stdout', new_callable=io.StringIO)  # 標準出力をStringIOと差し替える
def test_print_hoge(mocked_object):  # mocked_objectが差し替え後のストリーム
    print_hoge()
    assert mocked_object.getvalue() == 'hoge\n'  # ストリームに書き込まれた内容を検証する

test_print_hoge()
