import click


@click.command()
@click.option('-s', '--string', help='string to display', required=True)
@click.option(
    '-n',
    '--num',
    type=int,
    help='number of times repeatedly display the string',
    default=2,
)
def main(string, num):
    print(string * num)


if __name__ == '__main__':
    main()
