>>> from pathlib import PurePath, Path
>>> PurePath('spam.txt')
PurePosixPath('spam.txt')
>>> PurePath('spam', 'ham', 'eggs.txt')  # 複数のパスを連結
PurePosixPath('spam/ham/eggs.txt')
>>> PurePath('spam/ham', 'eggs.txt')
PurePosixPath('spam/ham/eggs.txt')
>>> PurePath(Path('spam'), Path('ham'), 'eggs.txt')  # 引数にPathオブジェクトを指定
PurePosixPath('spam/ham/eggs.txt')
>>> PurePath()  # 引数を指定しない場合はカレントディレクトリ
PurePosixPath('.')
