>>> from pathlib import Path
>>> p1 = Path('test-dir')
>>> p1.mkdir()  # ディレクトリを作成する
>>> p1.mkdir()  # 存在するディレクトリを作成するとFileExistsErrorが発生
Traceback (most recent call last):
  （省略）
FileExistsError: [Errno 17] File exists: 'test-dir'
>>> p1.mkdir(exist_ok=True)  # exist_ok=Trueではエラーは発生しない
>>> p2 = Path('test-file')
>>> p2.touch(exist_ok=False)  # ファイルを作成する
>>> p2.touch(exist_ok=False)  # exist_ok=FalseでFileExistsErrorが発生
Traceback (most recent call last):
  （省略）
FileExistsError: [Errno 17] File exists: 'test-file'
