>>> import zipfile
>>> zip = zipfile.ZipFile('sample.zip')
>>> for name in zip.namelist(): # ファイル名が文字化けする
...     print(name)
...
sample/
sample/english-dir/
sample/english-dir/english.txt
sample/english-dir/µùÑµ£¼Φ¬₧.txt
sample/µùÑµ£¼Φ¬₧πâåπéÖπéúπâ¼πé»πâêπâ¬/
sample/µùÑµ£¼Φ¬₧πâåπéÖπéúπâ¼πé»πâêπâ¬/english.txt
sample/µùÑµ£¼Φ¬₧πâåπéÖπéúπâ¼πé»πâêπâ¬/µùÑµ£¼Φ¬₧.txt

>>> for name in zip.namelist(): # ファイル名が文字化けしない
...     print(name.encode('cp437').decode('utf-8', 'ignore'))
...
sample/
sample/english-dir/
sample/english-dir/english.txt
sample/english-dir/日本語.txt
sample/日本語ディレクトリ/
sample/日本語ディレクトリ/english.txt
sample/日本語ディレクトリ/日本語.txt
