>>> import tarfile
>>> tarfile.is_tarfile('python-3.9.4-docs-text.tar.bz2')  # tarアーカイブかチェック
True
>>> tar = tarfile.open('python-3.9.4-docs-text.tar.bz2')  # tarアーカイブを開く
>>> len(tar.getnames())  # ファイル数を確認
505
>>> tar.getnames()[:2]  # 先頭2件のファイル名を取得
['python-3.9.4-docs-text', 'python-3.9.4-docs-text/contents.txt']
>>> with tar.extractfile('python-3.4.3-docs-text/contents.txt') as f  # ファイルを開く
...     contents = f.read()
...
>>> contents[:40]  # 先頭40文字を取得
b'Python Documentation contents\n**********'
