>>> import tarfile
>>> with tarfile.open('example.tar.gz', mode='w:gz') as wtar:
...     wtar.add('spam.txt')  # ファイルを追加する
...     wtar.add('ham.txt', 'hamham.txt')  # ファイルを別名で追加する
...     wtar.getnames()  # ファイルを確認する
...
['spam.txt', 'hamham.txt']
>>> tarfile.is_tarfile('example.tar.gz')
True
