>>> import pickle
>>> data = (1, 2, 3, 4, 5)
>>> serialized = pickle.dumps(data)
>>> serialized
b'\x80\x04\x95\x0e\x00\x00\x00\x00\x00\x00\x00(K\x01K\x02K\x03K\x04K\x05t\x94.'
>>> broken_data = serialized[:-3]  # バイト列の後ろ3文字を削る
>>> pickle.loads(broken_data)  # デシリアライズでエラーが発生
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
_pickle.UnpicklingError: pickle data was truncated
>>> pickle.loads(serialized)  # もとのバイト列は正常に処理できる
(1, 2, 3, 4, 5)
