>>> import csv
>>> with open('result.tsv', newline='') as f:
...     dialect = csv.Sniffer().sniff(f.read(1024))  # サンプルとして1024バイト分のデータをsniff()に渡す
...     f.seek(0)  # ファイルオブジェクトの位置を先頭に戻す
...     reader = csv.reader(f, dialect)  # 推測されたdialectを使用して読み込む
...     for row in reader:
...         print(row)
...
['都道府県', '人口密度（人/km2）']
（省略）
