>>> import json
>>> data = [{'id': 123, 'entities': {'url': 'python.org', 'hashtags': ['#python', '#pythonjp']}}]
>>> print(json.dumps(data, indent=2))  # indentオプションでインデントのスペースの数を指定できる
[
  {
    "id": 123,
    "entities": {
      "url": "python.org",
      "hashtags": [
        "#python",
        "#pythonjp"
      ]
    }
  }
]
>>> print(json.dumps(data, indent=4, sort_keys=True))  # sort_keys=Trueを指定すると、keyでソートされた結果が出力される
[
    {
        "entities": {
            "hashtags": [
                "#python",
                "#pythonjp"
            ],
            "url": "python.org"
        },
        "id": 123
    }
]
