 >>> from decimal import Decimal
 >>> json_str = '["ham", 1, "egg", 1.0, {"a":false, "b" :null}]'
 >>> json.loads(json_str)
 ['ham', 1, 'egg', 1.0, {'a': False, 'b': None}]
 # parse_floatを指定すると、JSONの浮動小数点数文字列が指定された型に変換される
 >>> json.loads(json_str, parse_float=Decimal)
 ['ham', 1, 'egg', Decimal('1.0'), {'a': False, 'b': None}]
 # parse_intを指定すると、JSONの整数文字列が指定された型に変換される
 >>> json.loads(json_str, parse_int=float)
 ['ham', 1.0, 'egg', 1.0, {'a': False, 'b': None}]
