>>> def convert_datetime(o):
...     if isinstance(o, datetime):
...         return o.isoformat()  # JSONがエンコードできるデータ型を返す
...     raise TypeError(repr(o) + " is not JSON serializable")  # 返せない場合は、TypeErrorを送出する必要がある
...
>>> json.dumps(user, default=convert_datetime)
'{"name": "John", "age": 30, "birth": "1980-04-05T00:00:00"}'
