 >>> import openpyxl
 >>> wb = openpyxl.load_workbook('sample.xlsx')  # ワークブックオブジェクトを取得
 >>> wb.sheetnames  # シート一覧の取得
 ['Sheet1', 'Sheet2']
 >>> ws = wb['Sheet1']  # ワークブックオブジェクトから、シート名を指定してワークシートオブジェクトを取得
 >>> ws['A1'].value  # ワークシートオブジェクトから、セルを指定して値を取得
 '品目'
 # rowとcolumnの指定では、それぞれ最初の行と列が0ではなく1であることに注意
 >>> ws.cell(row=3, column=1).value  # ワークシートオブジェクトのcell()メソッドを使用して、rowとcolumnでセルを取得する
 'みかん'
 >>> ws.cell(row=5, column=2).value
 '=SUM(B2:B4)'
