>>> import openpyxl
>>> wb = openpyxl.load_workbook('sample_date.xlsx')
>>> ws = wb.active  # アクティブなワークシートオブジェクトを取得
>>> ws['A2'].value
datetime.datetime(2021, 5, 1, 0, 0)  # A2セルは「日付」として設定されているのでdatetime型で取得される
>>> ws['A3'].value  # A3セルはユーザー定義で設定されているのでシリアル値で取得される
44318
>>> ws['A3'].number_format
'General'
>>> dt = ws['A3'].value
>>> openpyxl.utils.datetime.from_excel(dt)
datetime.datetime(2021, 5, 2, 0, 0)
