 # key2の値がシーケンスであるデータ構造
 >>> query = {'key1': 'hoge', 'key2': ['foo', 'bar']}
 # doseq=False（デフォルト）では ['foo', 'bar']は文字列として扱われる
 >>> parse.urlencode(query)
 'key1=hoge&key2=%5B%27foo%27%2C+%27bar%27%5D'
 # doseq=Trueを指定すると、1つのキーに複数の値が存在すると解釈される
 >>> parse.urlencode(query, doseq=True)
 'key1=hoge&key2=foo&key2=bar'
