>>> from urllib import request
>>> data = 'key1=value1&key2=value2'
>>> req = request.Request('https://httpbin.org/delete', data=data.encode(), method='DELETE')  # DELETEメソッドを使うリクエストを作成
>>> with request.urlopen(req) as f:
...     res_body = f.read()[:110]
...     res_status = f.status
...
>>> res_status
200
>>> res_body
b'{\n  "args": {}, \n  "data": "", \n  "files": {}, \n  "form": {\n    "key1": "value1", \n    "key2": "value2"\n  }, \n'
