 >>> s = 'Python は簡単に習得でき、それでいて強力な言語の1つです。'
 # Base64エンコード/デコード
 >>> enc_s = base64.b64encode(s.encode())
 >>> base64.b64decode(enc_s).decode()
 'Python は簡単に習得でき、それでいて強力な言語の1つです。'
 # Base64アルファベット以外のaltcharsを指定したものをvalidate=Trueでデコードするとエラーになる
 >>> enc_s = base64.b64encode(s.encode(), altchars=b'-_')
 >>> base64.b64decode(enc_s, validate=True)
 Traceback (most recent call last):
   File "<stdin>", line 1, in <module>
   File "/xxxx/python3.9/base64.py", line 86, in b64decode
     raise binascii.Error('Non-base64 digit found')
 binascii.Error: Non-base64 digit found
