>>> import base64
>>> import json
>>> jwt = 'eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJpYZX0QGV4YW1w …（省略）…. bGUuY29tIn0=.jeq5Wot9UKQv-Pl3EuL …（省略）…jaEo77gbbdfXm_X52O2ac6mVE4WMqqKTL4b4'
>>> context = jwt.split('.')
>>> jwt_header = json.loads(base64.b64decode(context[0]).decode())
>>> jwt_header
{'alg': 'RS256', 'typ': 'JWT'}
