>>> import xml.etree.ElementTree as ET
>>> root = ET.parse('sample.xml')
>>> root[0]  # 要素がElementオブジェクトである
>>> <Element 'local_weather' at 0x7f43ad8be4f0>
>>> root[0].tag  # tagを表示
'local_weather''
>>> root[0].attrib  # attribを表示
{'name': 'Tokyo', 'area': 'kanto'}
>>> root[0].items()  # itemsを取得
[('name', 'Tokyo'), ('area', 'kanto')]
>>> root[0].keys()  # keysを取得
['name', 'area']
>>> root[0].get('name')
'Tokyo'
>>> root[0][1]  # 各要素は配列になっているため、インデックスで指定してアクセスすることもできる
<Element 'temperature' at 0x7f58f40d9d10>
>>> root[0][1].text  # 要素のテキストを取得
'25'
