 >>> from lxml import html
 >>> import urllib.request
 # リクエストオブジェクトを作成し、URLを開く
 >>> url_req = urllib.request.urlopen('https://docs.python.org/ja/3/library/')
 >>> tree = html.parse(url_req).getroot()
 >>> div_toctree = tree.find('.//div[@class="toctree-wrapper compound"]/')  # 特定の要素を検索
 >>> print(html.tostring(div_toctree, pretty_print=True, encoding='unicode'))
 <ul>
 <li class="toctree-l1">
 <a class="reference internal" href="intro.html">はじめに</a><ul>
 <li class="toctree-l2"><a class="reference internal" href="intro.html#notes-on-availability">利用可能性について</a></li>
 </ul>
 （省略）
