>>> from lxml import etree
>>> tree = etree.parse('broken.xml')  # XMLの終了タグがないため、パースでエラーになる
Traceback (most recent call last):
  （省略）
lxml.etree.XMLSyntaxError: Opening and ending tag mismatch: local_weather line 3 and weather, line 7, column 11
>>> parser = etree.XMLParser(recover=True)  # XMLParserでrecover引数にTrueを指定する
>>> tree = etree.parse('broken.xml', parser)  # パース時にパーサーを指定することで、エラーが出ずに解析できる
>>> tree.find('./local_weather').attrib
{'name': 'Tokyo'}
