 >>> import re
 >>> soup = BeautifulSoup(request.urlopen('https://www.python.org'))
 >>> url_list = soup.find_all('a')  # すべてのa要素を取得
 >>> for url in url_list:  # 取得したリンクを表示
 ...     print(url['href'])
 ...
 #content
 #python-network
 /
 /psf-landing/
 https://docs.python.org
 https://pypi.python.org/
 （省略）
 # リンク先URLがdocsから始まるという条件（正規表現）にマッチするリンクを検索して2件を返す
 >>> docs_list = soup.find_all(href=re.compile('^http(s)?://docs'), limit=2)
 >>> for doc in docs_list:  # 取得したリンクを表示
 ...     print(doc['href'])
 ...
 https://docs.python.org
 https://docs.python.org/3/license.html
