import traceback
import logging

logging.basicConfig(filename='/tmp/example.log',
                    format='%(asctime)s %(levelname)s %(message)s')

try:
    tuple()[0]
except IndexError as e:
    # キャプチャした例外をformat()メソッドで読みやすくフォーマットしてから出力する
    # formatメソッドの戻り値は文字列のジェネレーターで、そのままではlogging.errorに渡せないのでリストに変換
    t = list(traceback.TracebackException.from_exception(e).format())
    logging.error(t)
    raise
