>>> import hashlib
>>> password = b'user_password'
>>> salt = b'your_secret_salt'
>>> iterations = 100000
>>> hashed_password = hashlib.pbkdf2_hmac('sha256', password, salt, iterations).hex()
>>> hashed_password
'68edb4f6fa8d876b6b479c002dc618efe739ed96c986420e8e57cb7d67278699'
