 >>> from cryptography.hazmat.primitives import serialization
 >>> with open('./private_key_rsa', 'wb') as f:
 ...     private_key_rsa = private_key.private_bytes(
 ...         encoding=serialization.Encoding.PEM,
 ...         format=serialization.PrivateFormat.OpenSSH,
 ...         encryption_algorithm=serialization.NoEncryption()
 ...     )
 ...     f.write(private_key_rsa)
 3353
 # 参考までに先頭100文字を標準出力に表示した場合は以下のようになる
 >>> private_key_rsa[:100]
 b'-----BEGIN OPENSSH PRIVATE KEY-----\nb3BlbnNzaC1rZXktdjEAAAAABG5vbmUAAAAEbm9uZQAAAAAAAAABAAACFwAAAAdz'
