 >>> public_key = private_key.public_key()
 >>> public_key
 <cryptography.hazmat.backends.openssl.rsa._RSAPublicKey object at 0x7feab5e804f0>
 # シリアライズしてファイルへの保存（OpenSSH形式）
 >>> with open('./public_key_rsa.pub', 'wb') as f:
 ...     public_key_rsa = public_key.public_bytes(
 ...         encoding=serialization.Encoding.OpenSSH,
 ...         format=serialization.PublicFormat.OpenSSH,
 ...     )
 ...     f.write(public_key_rsa)
 724
 >>> public_key_rsa[:100]  # 先頭100文字を標準出力に表示した場合
 b'ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAACAQDRuJexDT8VNDVLWny5unv5dZ7q2Qy0us6aJIeCkekRLqkiWHPIykANBubdNZYq'
