# 正しい例
import os  # 異なるモジュールはimport文を分ける
import sys
from subprocess import Popen, PIPE  # 同じモジュールはimport文をまとめる

import third_party  # サードパーティのモジュールは標準ライブラリのあとにimportする

import mymodule  # ローカルのモジュールは最後にimportする

# 誤った例
import mymodule  # ローカルのモジュールを最後にimportするようにしていない
import third_party  # サードパーティのモジュールを標準ライブラリの前にimportしてしまっている
import os, sys  # 異なるモジュールがまとまっている
from subprocess import Popen  # 同じモジュールのimport文が分かれている
from subprocess import PIPE
