 >>> import contextlib
 >>> import os
 # contextlib.suppressの例
 >>> with contextlib.suppress(FileNotFoundError):
 ...     os.remove('sample.txt')  # ファイルが存在しない場合に通常はエラーになるが、エラーが無視される
 ...
 # contextlib.redirect_stdoutの例
 >>> with open('sample.log', 'w') as f:
 ...     with contextlib.redirect_stdout(f):
 ...         print('log write')  # print()は通常は標準出力されるが、ファイルに書き出すことができる
 ...
