>>> def sample_func(param1, param2, param3):
...     print(f'{param1}, {param2}, {param3}')
>>> sample_func(1, param3=3, param2=2)
1, 2, 3
>>> sample_func(param3=3, 1, 2)  # キーワード引数の後ろに位置引数を書くとエラー
  File "<stdin>", line 1
SyntaxError: positional argument follows keyword argument
>>> sample_func(1, 2, param1=3)  # 位置引数として1がparam1に渡されているが、param1=3でも指定しているためエラー
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
TypeError: sample_func() got multiple values for argument 'param1'
