>>> def sample_func(param1, param2=2, param3=3):  # param2、param3にデフォルト値を設定
...     print(f'{param1}, {param2}, {param3}')
...
>>> sample_func(1)  # 必須の引数のみ与える
1, 2, 3
>>> sample_func(1, 20)  # 1つのオプション引数を与える
1, 20, 3
>>> sample_func(1, param3='hoge')
1, 2, hoge
>>> sample_func(10, 20, 30)  # すべての引数を与える
10, 20, 30
