>>> from datetime import datetime
>>> def save_user(updated_at=datetime.now(), **user):
...     print('ユーザー情報: ', user)
...     print('更新日: ', updated_at)
...     save(user, updated_at)  # 保存する処理
...
>>> user_info = {'name': 'john', 'age': 30, 'email': 'john@example.com'}
>>> save_user(**user_info)
ユーザー情報:  {'name': 'john', 'age': 30, 'email': 'john@example.com'}
更新日:  2021-05-16 15:32:17.951107
>>> user_info = {'name': 'Sarah', 'age': 20, 'email': 'Sarah@example.com'}
>>> save_user(**user_info)
ユーザー情報:  {'name': 'Sarah', 'age': 20, 'email': 'Sarah@example.com'}
更新日:  2021-05-16 15:32:17.951107  # 更新日時が最初に呼び出したときと同じになっている
