>>> multiplier_gen = (i ** 2 for i in range(1000))  # 2のべき乗を1,000個生成するジェネレーター式
>>> len(multiplier_gen)  # ジェネレーターオブジェクトに対してlen()関数は使用できない
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
TypeError: object of type 'generator' has no len()
>>> len(list(multiplier_gen))  # list()関数を使用して変換することでサイズを取得できる
1000
