>>> def func_greeting(name):
...     def print_greeting():  # 関数のなかに関数を定義できる
...         print(f'こんにちは。{name} さん')
...     return print_greeting  # 関数を返すことができる
...
>>> func = func_greeting('john')
>>> func
<function func_greeting.<locals>.print_greeting at 0x7ff9cba621e0>  # print_greeting関数が返されている
>>> func()  # 呼び出し可能オブジェクトなので()を付けて呼び出せる
こんにちは。john さん
