>>> from dataclass_sample import User, FrozenUser
>>> user = User("manabu", 50, "Chiba")  # Userクラスをインスタンス化
>>> user.age = 51  # age属性の値の変更
>>> user  # 属性値が変更されているか確認
User(name='manabu', age=51, address='Chiba')  # age属性が変更されている
>>> frozen_user = FrozenUser("manabu", 50, "Chiba")  # FrozenUserクラスをインスタンス化
>>> frozen_user.age = 51  # age属性の値の変更を試みるとFrozenInstanceErrorとなる
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "<string>", line 4, in __setattr__
dataclasses.FrozenInstanceError: cannot assign to field 'age'
