>>> import re
>>> regex3 = re.compile('\d+')  # 1文字以上の数字の正規表現オブジェクト
>>> regex3.findall('080-1234-5678')  # 文字列中の数字文字列を抜き出す
['080', '1234', '5678']
>>> i = regex3.finditer('+81-80-1234-5678')  # 文字列中の数字文字列を返すイテレーター
>>> type(i)  # イテレーターであることを確認
<class 'callable_iterator'>
>>> for m in i:  # マッチオブジェクトを取り出す
...     m
...
<re.Match object; span=(1, 3), match='81'>
<re.Match object; span=(4, 6), match='80'>
<re.Match object; span=(7, 11), match='1234'>
<re.Match object; span=(12, 16), match='5678'>
