>>> from decimal import Decimal
>>> Decimal('1')
Decimal('1')
>>> Decimal(3.14)
Decimal('3.140000000000000124344978758017532527446746826171875')
>>> Decimal((0, (3, 1, 4), -2))  # 符号（0が正、1が負）、数字のタプル、指数
Decimal('3.14')
>>> Decimal((1, (1, 4, 1, 4), -3))
Decimal('-1.414')
>>> Decimal('NaN')
Decimal('NaN')
>>> Decimal('Infinity')
Decimal('Infinity')
>>> Decimal('-Infinity')
Decimal('-Infinity')
>>> Decimal('-0')
Decimal('-0')
