>>> import statistics
>>> from decimal import Decimal
>>> data = [1, 2, 2, 3, 4, 5, 6]
>>> statistics.mean(data)
3.2857142857142856
>>> statistics.geometric_mean(data)
2.8261463109481344
>>> statistics.harmonic_mean(data)
2.3728813559322033
>>> statistics.median(data)
3
>>> statistics.mode(data)
2
>>> statistics.quantiles(data, n=5)
[1.6, 2.2, 3.8, 5.4]
>>> statistics.mean((Decimal("0.5"), Decimal("0.75"), Decimal("0.43")))  # タプルで渡す
Decimal('0.56')
>>> statistics.mean(i ** 2 for i in range(1000))  # ジェネレーター式で渡す
332833.5
