>>> from datetime import date, datetime, time, timedelta
>>> today = date.today()  # 今日の日付を取得
>>> today
datetime.date(2021, 2, 14)
>>> newyearsday = date(2022, 1, 1)  # 2022年1月1日
>>> newyearsday - today  # 今日から来年の1月1日までの日数
datetime.timedelta(days=321)
>>> week = timedelta(days = 7)  # 1週間のtimedeltaを生成
>>> today + week  # 1週間後の日付を取得
datetime.date(2021, 2, 21)
>>> today + week * 2  # 2週間後の日付を取得
datetime.date(2021, 2, 28)
>>> today - week  # 1週間前の日付を取得
datetime.date(2021, 2, 7)
>>> datetime(2021, 5, 24, 21, 0, 0, 0) - datetime(2021, 5, 24, 20, 0, 0, 0)  # 日時の差分を取得
datetime.timedelta(seconds=3600)
