>>> from zoneinfo import ZoneInfo
>>> ASIA_TOKYO = ZoneInfo('Asia/Tokyo')
>>> ASIA_TOKYO
zoneinfo.ZoneInfo(key='Asia/Tokyo')
>>> from datetime import datetime
>>> dt = datetime(2021, 2, 23, 10, tzinfo=ASIA_TOKYO)  # 日本時刻で2021年2月23日10:00のdatetimeオブジェクトを作成
>>> dt
datetime.datetime(2021, 2, 23, 10, 0, tzinfo=zoneinfo.ZoneInfo(key='Asia/Tokyo'))
>>> dt.astimezone(ZoneInfo('America/Los_Angeles'))  # 日本時刻2021年2月23日10:00をアメリカのロサンゼルスの日時に変換
datetime.datetime(2021, 2, 22, 17, 0, tzinfo=zoneinfo.ZoneInfo(key='America/Los_Angeles'))
