>>> from pytz import timezone
>>> from datetime import datetime
>>> LOS_ANGELES = timezone('America/Los_Angeles')
>>> dt = LOS_ANGELES.localize(datetime(2020, 11, 1, 1))
>>> print(dt)  # fold=0のときは遷移前のオフセット
2020-11-01 01:00:00-08:00
>>> print(dt.replace(fold=1))  # fold=0のときと結果が変わっていない
2020-11-01 01:00:00-08:00
