>>> from datetime import datetime
>>> default = datetime(2021, 7, 5)  # defaultの日付を作成
>>> parse('2021/02/16 22:42:31, default=default)
datetime.datetime(2021, 2, 16, 22, 42, 31)
>>> parse('Tue 22:42:31', default=default)  # 時分秒と曜日を指定
datetime.datetime(2021, 7, 6, 22, 42, 31)
>>> parse('22:42:31', default=default)  # 時分秒を指定
datetime.datetime(2021, 7, 5, 22, 42, 31)
>>> parse('22:42', default=default)  # 時分を指定
datetime.datetime(2021, 7, 5, 22, 42)
