>>> from dateutil.relativedelta import relativedelta
>>> from datetime import datetime, date
>>> now = datetime.now()  # 現在日時を取得
>>> now
datetime.datetime(2021, 2, 16, 22, 52, 5, 467706)
>>> now + relativedelta(months=+1)  # 1ヵ月後
datetime.datetime(2021, 3, 16, 22, 52, 5, 467706)
>>> now + relativedelta(months=-1, weeks=+1)  # 1ヵ月前の1週間後
datetime.datetime(2021, 1, 23, 22, 52, 5, 467706)
>>> today = date.today()  # 現在日を取得
>>> today
datetime.date(2021, 2, 16)
>>> today + relativedelta(months=+1, hour=10)  # 1ヵ月後の10時
datetime.datetime(2021, 3, 16, 10, 0)
