>>> from dateutil.relativedelta import MO, TU, WE, TH, FR, SA, SU
>>> today
datetime.date(2021, 2, 16)
>>> today + relativedelta(weekday=FR)  # 次の金曜日
datetime.date(2021, 2, 19)
>>> today + relativedelta(day=31, weekday=FR(-1))  # 今月の最終金曜日
datetime.date(2021, 2, 26)
>>> today + relativedelta(weekday=TU(+1))  # 次の火曜日
datetime.date(2021, 2, 16)
>>> today + relativedelta(days=+1, weekday=TU(+1))  # 今日を含まない次の火曜日
datetime.date(2021, 2, 23)
