>>> sorted((0, 4, 1, 2, 3, 5))  # タプル型のソート
[0, 1, 2, 3, 4, 5]
>>> type(sorted((0, 4, 1, 2, 3, 5)))  # タプル型をソートしてもリスト型を返す
<class 'list'>
>>> sorted({'a': 1, 'c': 2, 'b': 3})  # 辞書型の比較はキーをソートしてキーのリストを返す
['a', 'b', 'c']
>>> sorted({'a': 1, 'c': 2, 'b': 3}.items())  # 辞書型のキーと値のペアをリストで返す
[('a', 1), ('b', 3), ('c', 2)]
>>> sorted({8, 3, 4, 3})  # 集合型も要素をソートしてリスト型を返す
[3, 4, 8]
>>> sorted("初のPy3コード")  # 文字列は1文字ずつUnicode順にソート
['3', 'P', 'y', 'の', 'コ', 'ド', 'ー', '初']
>>> ord("3"), ord("P"), ord("y")  # Unicode文字列のコードポイントを表す整数を返す関数で確認
(51, 80, 121)
>>> ord("の"), ord("初")
(12398, 21021)
