>>> from operator import attrgetter
>>> from datetime import date
>>> date(1970, 11, 28).month  # month属性で月を取得できる
11
>>> date(1970, 11, 28).day  # day属性で日を取得できる
28
>>> dates = [date(1989, 1, 4),
...          date(1970, 11, 28),
...          date(1984, 3, 4)]  # ソート対象のdateオブジェクトのリストを定義
>>> sorted(dates, key=attrgetter("month", "day"))  # "month"でソートし、次に"day"でソート
[datetime.date(1989, 1, 4), datetime.date(1984, 3, 4), datetime.date(1970, 11, 28)]
