>>> from collections import Counter
>>> c = Counter()  # 空のCounterを作成
>>> c
Counter()
>>> for num in [1, 3, 2, 1, 2, 2, 2, 1]:
...     c[num] += 1  # 初期化しなくても += 1 でカウントできる
...
>>> c
Counter({2: 4, 1: 3, 3: 1})
>>> c[5]  # 存在しないキーを指定する
0
>>> 1 in c  # キーの存在チェック
True
>>> 5 in c
False
