>>> from collections import defaultdict
>>> dataset = [('IPA', 'Punk'), ('Ale', 'YONAYONA'), ('IPA', 'Stone'), ('Ale', 'Sierra Nevada')]
>>> d = defaultdict(list)
>>> for category, name in dataset:
...     d[category].append(name)
...
>>> list(d.items())  # カテゴリーごとにグループ化された
[('IPA', ['Punk', 'Stone']), ('Ale', ['YONAYONA', 'Sierra Nevada'])]
