>>> from collections import OrderedDict
>>> d = OrderedDict(one=1, two=2, three=3)  # OrderedDictを作成
>>> d
OrderedDict([('one', 1), ('two', 2), ('three', 3)])
>>> d.move_to_end('two')  # 指定したキーを末尾に移動
>>> d
OrderedDict([('one', 1), ('three', 3), ('two', 2)])
>>> d.move_to_end('two', last=False)  # 先頭に移動
>>> d
OrderedDict([('two', 2), ('one', 1), ('three', 3)])
>>> d.popitem()  # 末尾の要素を取り出す
('three', 3)
>>> d.popitem(last=False)  # 先頭の要素を取り出す
('two', 2)
