import enum


class Color(enum.Enum):
    """色を表す列挙型"""
    RED = enum.auto()
    BLACK = enum.auto()

    def __str__(self):
        return self.name


def print_color(color: Color) -> None:
    """列挙型Colorを出力する"""
    print(color)


if __name__ == '__main__':
    print_color(Color.RED)
    print_color(Color.BLACK)
    # print_colorはColor以外受け付けない意図で書いているので、この呼び方は間違っている
    print_color('BLUE')
