>>> import itertools
>>> def is_odd(num):
...     return num % 2 == 1  # 奇数ならTrueを返す
...
>>> numbers = [10, 20, 31, 11, 3, 4]
>>> for value, group in itertools.groupby(numbers, is_odd):  # is_odd()関数の結果でグループ化
...     print(f'{value}: {list(group)}')
...
False: [10, 20]
True: [31, 11, 3]
False: [4]
