>>> import itertools
>>> list(itertools.combinations('ABC', 2))
[('A', 'B'), ('A', 'C'), ('B', 'C')]
>>> results = itertools.combinations('ABCD', 2)
>>> [r[0] + r[1] for r in results]  # 結果を文字列のリストにまとめる
['AB', 'AC', 'AD', 'BC', 'BD', 'CD']
>>> results = itertools.permutations('ABCD', 2)  # 順列と結果を比較
>>> [r[0] + r[1] for r in results]
['AB', 'AC', 'AD', 'BA', 'BC', 'BD', 'CA', 'CB', 'CD', 'DA', 'DB', 'DC']
