>>> import copy
>>> values = [[0, 1], [2, 3], [4, 5]]  # もとのオブジェクトが2つの階層を持つ
>>> val_cp = copy.copy(values)
>>> val_cp.append([6, 7])  # コピー先のオブジェクトに値を追加
>>> val_cp
[[0, 1], [2, 3], [4, 5], [6, 7]]  # コピー先のオブジェクトのみに値が追加される
>>> values
[[0, 1], [2, 3], [4, 5]]  # コピー元オブジェクトは変更されていない
>>> val_cp[1][0] = 8  # 子オブジェクト（2階層目）の値を変更してみる
>>> val_cp
[[0, 1], [8, 3], [4, 5], [6, 7]]  # コピー先オブジェクトが変更されている
>>> values
[[0, 1], [8, 3], [4, 5]]  # コピー元のオブジェクトも変更されている
