>>> import copy
>>> class Author:  # クラスを作成
...     def __init__(self, name, age):
...         self.name = name  # 名前
...         self.age = age  # 年齢
...
>>> author1 = Author('kadowaki', 25)  # インスタンス1
>>> author2 = Author('terada', 20)  # インスタンス2
>>> author3 = copy.deepcopy(author1)  # deepcopy()関数でインスタンスをコピー
>>> author3.name = 'takanory'
>>> print(author1.name, author1.age)
kadowaki 25
>>> print(author2.name, author2.age)
terada 20
>>> print(author3.name, author3.age)
takanory 25
