>>> import psutil
>>> psutil.cpu_times()  # CPU時間を求める
scputimes(user=1110.48, nice=0.0, system=897.75, idle=5173.46)
>>> for i in range(3):  # 特定のCPU時間ごとの使用率を求める
...     psutil.cpu_times_percent(interval=1, percpu=False)
...
scputimes(user=3.1, nice=0.0, system=2.2, idle=94.7)
scputimes(user=3.7, nice=0.0, system=2.7, idle=93.7)
scputimes(user=4.5, nice=0.0, system=1.9, idle=93.6)
>>> psutil.virtual_memory()  # メモリの使用率に関する統計情報を求める
svmem(total=34359738368, available=18292658176, percent=46.8, used=16063238144, free=5396701184, active=12909191168, inactive=9572528128, wired=3154046976)
>>> psutil.disk_partitions()  # マウントしているディスクパーティション情報を取得する
[sdiskpart(device='/dev/disk1s1', mountpoint='/', fstype='apfs', opts='rw,local,rootfs,dovolfs,journaled,multilabel', maxfile=255, maxpath=1024), sdiskpart(device='/dev/disk1s4', mountpoint='/private/var/vm', fstype='apfs', opts='rw,noexec,local,dovolfs,dontbrowse,journaled,multilabel,noatime', maxfile=255, maxpath=1024)
>>> psutil.net_io_counters()  # ネットワークI/Oに関する統計情報を求める
snetio(bytes_sent=32655360, bytes_recv=634261504, packets_sent=276164, packets_recv=464447, errin=0, errout=60, dropin=0, dropout=0)
