>>> import io
>>> events = [
...    "Python Boot Camp in 長崎",
...    "Python Charity Talks in Japan 2021.02",
...    "PyCon JP 2021",
... ]
>>> buffer_in = io.StringIO()
>>> for event in events:
...    buffer_in.write(event + '\n')
...
23
38
14
>>> buffer_in.readlines()  # 何も出力されない
[]
>>> buffer_in.seek(0)  # これでストリームの先頭を指すようにする
0
>>> buffer_in.readlines()  # これで値が出力される
['Python Boot Camp in 長崎\n', 'Python Charity Talks in Japan 2021.02\n', 'PyCon JP 2021\n']
