>>> class Resource:
...     def __enter__(self):
...         pass
...     def __exit__(self, exc_type, exc_value, traceback):
...         print('__exit__ is called')
...
>>> with Resource():
...     sys.exit('sys.exit() is called')
...
__exit__ is called
sys.exit() is called
