>>> from pathlib import Path
>>> p = Path()  # 現在のディレクトリのパスオブジェクトを取得
>>> p.iterdir()  # iterdir()はジェネレーターを返す
<generator object Path.iterdir at 0x7f9f300f7740>
>>> sorted(p.iterdir())  # ディレクトリ直下の全オブジェクトを返す
[PosixPath('a.py'), PosixPath('b.py'), PosixPath('datas'), PosixPath('readme.txt')]
>>> list(p.glob('*.txt'))  # *.txtというファイルを返す
[PosixPath('readme.txt')]
>>> sorted(p.glob('**/*.txt'))  # ディレクトリを再帰的にたどって*.txtというファイルを返す
[PosixPath('datas/c.txt'), PosixPath('datas/d.txt'), PosixPath('readme.txt')]
