>>> from pathlib import Path
>>> p = Path('not-exists.txt')  # 存在しないファイルのパスを作成
>>> p.exists()
False
>>> p.stat()  # 情報を取得するとFileNotFoundErrorが発生
Traceback (most recent call last):
  （省略）
FileNotFoundError: [Errno 2] No such file or directory: 'not-exists.txt'
>>> p.read_text()  # ファイルを読み込もうとするとFileNotFoundErrorが発生
Traceback (most recent call last):
  （省略）
FileNotFoundError: [Errno 2] No such file or directory: 'not-exists.txt'
