>>> from pathlib import Path
>>> p = Path('test-file')
>>> p.exists()  # ファイルの存在を確認
True
>>> p.unlink()  # ファイルを削除
>>> p.unlink()  # ファイルを再度削除するとFileNotFoundErrorが発生
Traceback (most recent call last):
  （省略）
FileNotFoundError: [Errno 2] No such file or directory: 'test-file'
>>> p.unlink(missing_ok=True)  # missing_ok=Trueではエラーは発生しない
