>>> import tempfile
>>> from pathlib import Path
>>> tmpf = tempfile.NamedTemporaryFile()
>>> tmpf.name  # ファイル名を確認
/var/folders/lp/xhvsj17d1yb2cgfkc7cwhcsw0000gn/T/tmplff0pcgw'
>>> p = Path(tmpf.name)
>>> p.exists()  # ファイルの存在を確認
True
>>> tmpf.close()
>>> p.exists()  # ファイルを閉じるとファイルが削除されている
False
