>>> import zipfile
>>> zipfile.is_zipfile('python-3.9.4-docs-text.zip')  # ZIPファイルかチェック
True
>>> zip = zipfile.ZipFile('python-3.9.4-docs-text.zip')  # ZIPファイルを開く
>>> len(zip.namelist())  # ファイル数を確認
505
>>> zip.namelist()[:2]  # 先頭2件のファイル名を取得
['python-3.9.4-docs-text/', 'python-3.9.4-docs-text/contents.txt']
>>> with zip.open('python-3.9.4-docs-text/contents.txt') as f:  # ファイルを開く
...     contents = f.read()
...
>>> contents[:40]  # 先頭の40文字を確認
b'Python Documentation contents\n**********'
