>>> for name in zip.namelist():  # zipfileモジュールのドキュメントを探す
...     if 'zipfile' in name:
...         zipfile_doc = name
...         break
...
>>> zipfile_doc  # ファイル名を確認
'python-3.9.4-docs-text/library/zipfile.txt'
>>> zipfile_info = zip.getinfo(zipfile_doc)  # ZipInfoを取得
>>> zipfile_info.date_time  # 最終更新日を確認
(2021, 4, 10, 12, 7, 54)
>>> zip.extract(zipfile_info)  # zipfileのマニュアルを展開する
'/Users/takanori/python-3.9.4-docs-text/library/zipfile.txt'
