>>> import pickle
>>> with open('sample.pkl', 'rb') as f:  # ファイルをバイナリ形式で開く
...     data = pickle.load(f)  # データを読み込んでデシリアライズする
...
>>> data  # データを復元できたことを確認
('now', datetime.datetime(2021, 3, 27, 16, 47, 51, 927444))
>>> now = data[1]
>>> now.isoformat()
'2021-03-27T16:47:51.927444'
