import csv

with open('sample.csv', mode='r', encoding='utf-8') as read_file:
    reader = csv.reader(read_file)
    # ヘッダー行を飛ばす
    next(reader)

    with open('result.tsv', newline='', mode='w', encoding='utf-8') as write_file:
        writer = csv.writer(write_file, delimiter='\t')
        # ヘッダー行を書き込み
        writer.writerow(['都道府県', '人口密度（人/km2）'])

        for row in reader:
            # 人口と面積の数値を利用して人口密度を求める
            population_density = float(row[2]) / float(row[3])

            # ファイルの書き込み
            writer.writerow([row[1], int(population_density)])
