import csv

data = [
    {'都道府県': '東京都', '人口密度（人/km2）': 6335},
    {'都道府県': '神奈川県', '人口密度（人/km2）': 3807},
    {'都道府県': '千葉県', '人口密度（人/km2）': 1202},
]

with open('result.csv', newline='', mode='w', encoding='utf-8') as write_file:
    fieldnames = ['都道府県', '人口密度（人/km2）']  # ヘッダーの要素順を指定する
    writer = csv.DictWriter(write_file, fieldnames=fieldnames)
    writer.writeheader()  # DictWriterのメソッドwriteheaderを使用してヘッダー行を書き込み
    writer.writerows(data)  # データの一括書き込み
