>>> from openpyxl.styles import Font
>>> from openpyxl import Workbook
>>> wb = Workbook()
>>> ws = wb.create_sheet('font sample')
>>> font = Font(
...     name='Arial',  # フォント名
...     sz=13,  # 文字サイズ
...     bold=True,  # 太字
...     underline=None,  # 下線を引く
...     strike=True,  # 打ち消し線
...     vertAlign='subscript',  # 文字の配置（垂直方向）。subscript、baseline、superscriptから選択
...     color='FF000000',  # 色の指定
... )
>>> ws['B1'].font = font
>>> ws['B1'].value = 'フォント(太文字)'
