>>> from urllib import parse
>>> result = parse.urlparse('https://www.example.com/test/;parameter?q=example#hoge')
>>> result  # パースの結果を返す
ParseResult(scheme='https', netloc='www.example.com', path='/test/', params='parameter', query='q=example', fragment='hoge')
>>> result.geturl()  # パース結果からURLを取得する
'https://www.example.com/test/;parameter?q=example#hoge'
>>> result.scheme  # タプルの要素に名前でアクセスする
'https'
>>> result[0]  # タプルの要素にインデックスでアクセスする
'https'
>>> result.hostname  # タプルの要素以外にもいくつかの属性を持つ
'www.example.com'
