 >>> from urllib import parse
 # URLとパスを結合
 >>> parse.urljoin('https://ja.wikipedia.org', '/wiki/Python')
 'https://ja.wikipedia.org/wiki/Python'
 # パスに相対パスを指定した場合
 >>> parse.urljoin('https://ja.wikipedia.org/wiki/Python', '#ライブラリ')
 'https://ja.wikipedia.org/wiki/Python#ライブラリ'
 >>> parse.urljoin('https://ja.wikipedia.org/test/path/', '../../wiki/Python')
 'https://ja.wikipedia.org/wiki/Python'
 # base、urlともにURLを指定した場合はurlが返される
 >>> parse.urljoin('https://www.python.org/', 'https://www.example.com')
 'https://www.example.com'
