 >>> import requests
 >>> session = requests.Session()
 >>> response = session.get('https://httpbin.org/cookies/set?title=pylibbook2&libName=requests')
 >>> session.cookies.get_dict()  # クエリ文字列がCookieとして保存されていることを確認
 {'libName': 'requests', 'title': 'pylibbook2'}
 # さらに別のクエリ文字列を追加してみる
 >>> response = session.get('https://httpbin.org/cookies/set?description=sessionTest')
 >>> session.cookies.get_dict()  # Cookieが追加されていることを確認
 {'description': 'sessionTest', 'libName': 'requests', 'title': 'pylibbook2'}
