 >>> import base64
 >>> s = 'Python は簡単に習得でき、それでいて強力な言語の1つです。'
 >>> base64.b64encode(s)  # 文字列を渡すとエラー
 Traceback (most recent call last):
   File "<stdin>", line 1, in <module>
   File "/xxxxxxx/python3.9/base64.py", line 58, in b64encode
    encoded = binascii.b2a_base64(s, newline=False)
 TypeError: a bytes-like object is required, not 'str'
 >>> base64.b64encode(s.encode())  # バイト文字列にエンコードして渡す
 b'UHl0aG9uIOOBr+ewoeWNmOOBq+e/kuW+l+OBp+OBjeOAgeOBneOCjOOBp+OBhOOBpuW8t+WKm+OBquiogOiqnuOBruS4gOOBpOOBp+OBmeOAgg=='
 # +と/の代わりに使用する文字列をaltcharsで指定する
 >>> base64.b64encode(s.encode(), altchars=b'@*')
 b'UHl0aG9uIOOBr@ewoeWNmOOBq@e*kuW@l@OBp@OBjeOAgeOBneOCjOOBp@OBhOOBpuW8t@WKm@OBquiogOiqnuOBruS4gOOBpOOBp@OBmeOAgg=='
