>>> soup = BeautifulSoup(request.urlopen('https://www.python.org'))
>>> tag = soup.find('div', class_="small-widget get-started-widget")
>>> tag
<div class="small-widget get-started-widget">
<h2 class="widget-title"><span aria-hidden="true" class="icon-get-started"></span>Get Started</h2>
<p>Whether you're new to programming or an experienced developer, it's easy to learn and use Python.</p>
<p><a href="/about/gettingstarted/">Start with our Beginner’s Guide</a></p>
</div>
>>> tag.get_text()  # get_textで取得（textプロパティと同じ）
"\nGet Started\nWhether you're new to programming or an experienced developer, it's easy to learn and use Python.\nStart with our Beginner’s Guide\n"
>>> tag.get_text(strip=True)  # 余計なスペースや改行を削除
"Get StartedWhether you're new to programming or an experienced developer, it's easy to learn and use Python.Start with our Beginner’s Guide"
>>> tag.get_text(strip=True, separator=' -- ')  # 要素ごとにセパレーターを指定する
Get Started -- Whether you're new to programming or an experienced developer, it's easy to learn and use Python. -- Start with our Beginner’s Guide"
