"""
与えられた引数について、a / bを行う関数です

>>> div(5, 2)
2.5
"""

def div(a, b):
    """
    答えは小数で返ってきます

    >>> [div(n, 2) for n in range(5)]
    [0.0, 0.5, 1.0, 1.5, 2.0]
    """

    return a / b

if __name__ == "__main__":
    import doctest
    doctest.testmod()  # doctestを実行
