 class ShoppingSiteAPI:
     """架空のショッピングサイトのAPIを呼ぶクラス"""

     def search_items(self, name):
         """該当する名前の商品を検索する"""
         # 実際には外部APIを呼んだ結果を返す必要があるが、この例では架空のAPIであるため、固定値を返している
         return ['商品1', '商品2', '商品3']

     def purchase(self, item_id):
         """商品を購入する"""
         # 実際には外部APIを呼ぶ必要があるが、この例では架空のAPIであるため、何も実行していない
         pass

 # 単体テストを行いたい処理
 def my_processing():
     api = ShoppingSiteAPI()
     return ','.join(api.search_items('商品')) + 'が見つかりました'

 if __name__ == '__main__':
     print(my_processing())
