import unittest
from unittest.mock import patch

class ExampleTest(unittest.TestCase):

    # patchで置き換えたモックオブジェクトはテストメソッドの引数で受け取る
    @patch('package.module.ClassName1')
    @patch('package.module.ClassName2')
    def test_decorator(
        self,
        # patchの順番と引数の順番が逆になっていることに注意
        ClassName2Mock,  # package.module.ClassName2のモックオブジェクト
        ClassName1Mock,  # package.module.ClassName1のモックオブジェクト
     ):
        ...
