 import os
 import pytest

 # fixtureにしたい関数にfixtureデコレーターを使う
 @pytest.fixture
 def is_ci():
     """CI（Continuous Integration）サーバー上でテストを実行していればTrueを返す

     環境変数CIに'true'が設定されていればCIサーバー上で実行しているとみなす。
     """
     ci = os.environ.get('CI', 'false')  # テスト実行前に挿入したい処理はここに書く
     return ci == 'true'  # テスト関数内で参照できる値をここに書く
