 # 複数行を含んだ式を計測することもできる
 $ python -m timeit -s 'try:' '  "test".__bool__' 'except AttributeError:' ' pass'
 1000000 loops, best of 5: 329 nsec per loop
 # 最初に一度だけセットアップ文を指定できる
 $ python -m timeit -s 'text = "This is a test."; char = "test"' 'char in text'
 10000000 loops, best of 5: 39.5 nsec per loop
 # 指定されたPythonコードを1000万回実行した際の実行時間を計測し、これを5回繰り返す
 # 最終的にもっとも実行の速かったものを選択する
 $ python -m timeit -s '"test" in "This is a test."'
 10000000 loops, best of 5: 30.4 nsec per loop
