>>> import hashlib
>>> check_sum = '798b9d3e866e1906f6e32203c4c560fa'  # https://www.python.org/downloads/release/python-396/ で公開されているチェックサム
>>> hash_md5 = hashlib.md5()
>>> with open('Python-3.9.6.tgz', 'rb') as f:
...     hash_md5.update(f.read())
>>> check_sum == hash_md5.hexdigest()
True
