>>> import cryptography
>>> from cryptography.fernet import Fernet
>>> key = Fernet.generate_key()  # 鍵を生成
>>> key
b't_mkB0PEIEo9awvbnPfg3txmwwo14qxUtSVKrOguyEs='
>>> cipher = Fernet(key)
>>> cipher
<cryptography.fernet.Fernet object at 0x7facd28f6370>
>>> cipher_text = cipher.encrypt(b'It is a really secret message')  # メッセージを暗号化
>>> cipher_text
b'gAAAAABgLojC7AtTBmLyuFNouNLjf4RRfixWedWlyf1qUMZQ-a46ff404ICXbqYIPNNv1rt0NE11iI7GG42LWg9ybp5fSBIZkzSH6EwAA5D5QFEPfRFtFAI='
>>> cipher.decrypt(cipher_text)  # decrypt()で復号
b'It is a really secret message'
