>>> from cryptography.hazmat.primitives import serialization
>>> with open('private_key_rsa', 'rb') as key_file:
...     private_key = serialization.load_ssh_private_key(  # 鍵ファイルをロード
...         key_file.read(),
...         password=None,
...     )
>>> private_key  # 秘密鍵オブジェクトとして取得されたことを確認
<cryptography.hazmat.backends.openssl.rsa._RSAPrivateKey object at 0x7f9c888a8b80>
