import asyncio

async def thinking_sleeping(sec):
    await asyncio.sleep(10 / sec)  # 0がきたらZeroDivisionErrorが発生
    return sec

async def main():
    tasks = [asyncio.create_task(thinking_sleeping(sec)) for sec in (7, 3, 0, 1, 5, 2)]
    result = await asyncio.gather(*tasks)
    print(result)

asyncio.run(main())
