>>> import subprocess
>>> result = subprocess.run(['echo', 'Hello World!'], stdout=subprocess.PIPE, stderr=subprocess.PIPE)
>>> result  # stdoutとstderrが設定される
CompletedProcess(args=['echo', 'Hello World!'], returncode=0, stdout=b'Hello World!\n', stderr=b'')
>>> result.stdout  # 標準出力の内容を確認
b'Hello World!\n'
