 >>> from subprocess import Popen, PIPE
 >>> cmd1 = ['echo', 'Hello', 'World!']  # echoコマンドを実行し、「Hello World!」と出力
 >>> p1 = Popen(cmd1, stdout=PIPE, stderr=PIPE)  # 1つ目の子プロセスを作成
 >>> cmd2 = ['tr', '[:upper:]', '[:lower:]']  # trコマンドを実行し、小文字に変換するコマンド
 # 1つ目の子プロセスの出力を2つ目の子プロセスの入力として受け渡す
 >>> p2 = Popen(cmd2, stdin=p1.stdout, stdout=PIPE, stderr=PIPE)
 >>> stdout_data, stderr_data = p2.communicate()  # 最終的な出力結果を受け取る
 >>> stdout_data
 b'hello world!\n'
